import java.awt.*;
import java.awt.event.*;
public class AddMatrix extends Frame
{
   public AddMatrix()
   {  
      setSize(800,300);
      addWindowListener(new WindowAdapter()
      {
         public void windowClosing(WindowEvent e){System.exit(0);}
      });
   }
   public void addM(double [][] A,double [][] B,double [][] C,int N1,int N2)
   {
      int i,j;
      for(i=0;i<N1;i++) for(j=0;j<N2; j++) C[i][j]=A[i][j]+B[i][j];
   }
   public void drawBra(Graphics g, int X, int Y, int H)
   {  g.drawLine( X, Y, X, Y + H);g.drawLine( X, Y, X + 2,Y);g.drawLine( X,Y + H, X + 2, Y + H);
   }
   public void drawKet(Graphics g, int X, int Y, int H)
   {  g.drawLine( X, Y, X, Y + H);g.drawLine( X, Y, X - 2,Y);g.drawLine( X,Y + H, X - 2, Y + H);
   }
   public void DrawExp(Graphics g, String ope, int Y,
                       double [][] A,double [][] B,double [][] C,int N1,int N2)
   {  int i, j;
      g.drawString( ope,205,Y+20);
      g.drawString( "=",405,Y+20);
      for(i=0;i<N1;i++) for(j=0;j<N2; j++)
      {  g.drawString( "" + A[i][j], 50 + j*50,Y + i*20);
         g.drawString( "" + B[i][j],250 + j*50,Y + i*20);
         g.drawString( "" + C[i][j],450 + j*50,Y + i*20);
      }
      drawBra(g, 40, Y - 10, 50); drawKet(g,180, Y - 10, 50);
      drawBra(g,240, Y - 10, 50); drawKet(g,380, Y - 10, 50);
      drawBra(g,440, Y - 10, 50); drawKet(g,590, Y - 10, 50);
   } 
 
   public void paint(Graphics g)
   {  int i,j;
      double [][] A={{1,2,3},{4,5,6},{7,8,9}};
      double [][] B={{1,2,3},{4,5,6},{7,8,9}};
      double [][] C={{0,0,0},{0,0,0},{0,0,0}};
      addM(A,B,C,3,3);
      setTitle("s񎮂̉Z");
      DrawExp(g,"{",100, A, B, C, 3, 3);
   } 
   public static void main(String[] args)
   {
      Frame w = new AddMatrix();
      w.setVisible(true);
   }

}
